# -*- coding: utf-8 -*-


from PySide import QtCore, QtGui
from SimNDT.gui.constants import *

class Ui_LoadImageMainWindow(object):
    def setupUi(self, LoadImageMainWindow):
        scaleUI = SCALE_UI
        LoadImageMainWindow.setObjectName("LoadImageMainWindow")
        LoadImageMainWindow.setWindowModality(QtCore.Qt.WindowModal)
        LoadImageMainWindow.resize(724*scaleUI, 600*scaleUI)
        LoadImageMainWindow.setMinimumSize(QtCore.QSize(0, 0))
        LoadImageMainWindow.setMaximumSize(QtCore.QSize(3000, 3000))
        LoadImageMainWindow.setContextMenuPolicy(QtCore.Qt.DefaultContextMenu)
        LoadImageMainWindow.setLayoutDirection(QtCore.Qt.LeftToRight)
        LoadImageMainWindow.setToolButtonStyle(QtCore.Qt.ToolButtonIconOnly)
        LoadImageMainWindow.setDocumentMode(False)
        LoadImageMainWindow.setTabShape(QtGui.QTabWidget.Rounded)
        self.centralwidget = QtGui.QWidget(LoadImageMainWindow)
        self.centralwidget.setMinimumSize(QtCore.QSize(724*scaleUI, 0))
        self.centralwidget.setObjectName("centralwidget")
        self.verticalLayout = QtGui.QVBoxLayout(self.centralwidget)
        self.verticalLayout.setObjectName("verticalLayout")
        self.vBox = QtGui.QVBoxLayout()
        self.vBox.setObjectName("vBox")
        self.imageFrame = QtGui.QFrame(self.centralwidget)
        self.imageFrame.setFrameShape(QtGui.QFrame.Panel)
        self.imageFrame.setFrameShadow(QtGui.QFrame.Sunken)
        self.imageFrame.setObjectName("imageFrame")
        self.vBox.addWidget(self.imageFrame)
        self.verticalLayout.addLayout(self.vBox)
        self.hBox = QtGui.QHBoxLayout()
        self.hBox.setObjectName("hBox")
        self.numberLabelsLabel = QtGui.QLabel(self.centralwidget)
        self.numberLabelsLabel.setObjectName("numberLabelsLabel")
        self.hBox.addWidget(self.numberLabelsLabel)
        self.numberLabelsSpinBox = QtGui.QSpinBox(self.centralwidget)
        self.numberLabelsSpinBox.setMinimum(1)
        self.numberLabelsSpinBox.setMaximum(7)
        self.numberLabelsSpinBox.setObjectName("numberLabelsSpinBox")
        self.hBox.addWidget(self.numberLabelsSpinBox)
        self.PixelLabel = QtGui.QLabel(self.centralwidget)
        self.PixelLabel.setObjectName("PixelLabel")
        self.hBox.addWidget(self.PixelLabel)
        self.PixelLineEdit = QtGui.QLineEdit(self.centralwidget)
        self.PixelLineEdit.setMinimumSize(QtCore.QSize(80*scaleUI, 0))
        self.PixelLineEdit.setMaximumSize(QtCore.QSize(80*scaleUI, 16777215))
        self.PixelLineEdit.setObjectName("PixelLineEdit")
        self.hBox.addWidget(self.PixelLineEdit)
        self.getLabeledImagePushButton = QtGui.QPushButton(self.centralwidget)
        self.getLabeledImagePushButton.setMinimumSize(QtCore.QSize(0, 40*scaleUI))
        self.getLabeledImagePushButton.setObjectName("getLabeledImagePushButton")
        self.hBox.addWidget(self.getLabeledImagePushButton)
        self.verticalLayout.addLayout(self.hBox)
        LoadImageMainWindow.setCentralWidget(self.centralwidget)
        self.toolBar = QtGui.QToolBar(LoadImageMainWindow)
        self.toolBar.setContextMenuPolicy(QtCore.Qt.NoContextMenu)
        self.toolBar.setLayoutDirection(QtCore.Qt.LeftToRight)
        self.toolBar.setMovable(False)
        self.toolBar.setFloatable(False)
        self.toolBar.setObjectName("toolBar")
        LoadImageMainWindow.addToolBar(QtCore.Qt.TopToolBarArea, self.toolBar)
        self.actionRotate_90_Counter_Clockwise = QtGui.QAction(LoadImageMainWindow)
        icon = QtGui.QIcon()
        icon.addPixmap(QtGui.QPixmap(":/rotate90A.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.actionRotate_90_Counter_Clockwise.setIcon(icon)
        self.actionRotate_90_Counter_Clockwise.setObjectName("actionRotate_90_Counter_Clockwise")
        self.actionRotate_90_Clockwise = QtGui.QAction(LoadImageMainWindow)
        icon1 = QtGui.QIcon()
        icon1.addPixmap(QtGui.QPixmap(":/rotate90H.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.actionRotate_90_Clockwise.setIcon(icon1)
        self.actionRotate_90_Clockwise.setObjectName("actionRotate_90_Clockwise")
        self.actionFlip_Horizontal = QtGui.QAction(LoadImageMainWindow)
        icon2 = QtGui.QIcon()
        icon2.addPixmap(QtGui.QPixmap(":/flipH.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.actionFlip_Horizontal.setIcon(icon2)
        self.actionFlip_Horizontal.setObjectName("actionFlip_Horizontal")
        self.actionFlip_Vertical = QtGui.QAction(LoadImageMainWindow)
        icon3 = QtGui.QIcon()
        icon3.addPixmap(QtGui.QPixmap(":/flipV.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.actionFlip_Vertical.setIcon(icon3)
        self.actionFlip_Vertical.setObjectName("actionFlip_Vertical")
        self.actionShow_Original_Image = QtGui.QAction(LoadImageMainWindow)
        icon4 = QtGui.QIcon()
        icon4.addPixmap(QtGui.QPixmap(":/reset.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.actionShow_Original_Image.setIcon(icon4)
        self.actionShow_Original_Image.setObjectName("actionShow_Original_Image")
        self.actionOpen_Image = QtGui.QAction(LoadImageMainWindow)
        icon5 = QtGui.QIcon()
        icon5.addPixmap(QtGui.QPixmap(":/document-open.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.actionOpen_Image.setIcon(icon5)
        self.actionOpen_Image.setObjectName("actionOpen_Image")
        self.toolBar.addAction(self.actionOpen_Image)
        self.toolBar.addAction(self.actionShow_Original_Image)
        self.toolBar.addAction(self.actionRotate_90_Counter_Clockwise)
        self.toolBar.addAction(self.actionRotate_90_Clockwise)
        self.toolBar.addAction(self.actionFlip_Horizontal)
        self.toolBar.addAction(self.actionFlip_Vertical)
        self.toolBar.addSeparator()

        self.retranslateUi(LoadImageMainWindow)
        QtCore.QMetaObject.connectSlotsByName(LoadImageMainWindow)

    def retranslateUi(self, LoadImageMainWindow):
        LoadImageMainWindow.setWindowTitle(QtGui.QApplication.translate("LoadImageMainWindow", "MainWindow", None, QtGui.QApplication.UnicodeUTF8))
        self.numberLabelsLabel.setText(QtGui.QApplication.translate("LoadImageMainWindow", "# Number of Labels", None, QtGui.QApplication.UnicodeUTF8))
        self.PixelLabel.setText(QtGui.QApplication.translate("LoadImageMainWindow", "Pixel/mm", None, QtGui.QApplication.UnicodeUTF8))
        self.getLabeledImagePushButton.setText(QtGui.QApplication.translate("LoadImageMainWindow", "Get Labeled Image", None, QtGui.QApplication.UnicodeUTF8))
        self.toolBar.setWindowTitle(QtGui.QApplication.translate("LoadImageMainWindow", "toolBar", None, QtGui.QApplication.UnicodeUTF8))
        self.actionRotate_90_Counter_Clockwise.setText(QtGui.QApplication.translate("LoadImageMainWindow", "Rotate 90º Counter Clockwise", None, QtGui.QApplication.UnicodeUTF8))
        self.actionRotate_90_Counter_Clockwise.setToolTip(QtGui.QApplication.translate("LoadImageMainWindow", "Rotate 90º clockwise", None, QtGui.QApplication.UnicodeUTF8))
        self.actionRotate_90_Clockwise.setText(QtGui.QApplication.translate("LoadImageMainWindow", "Rotate 90º Clockwise", None, QtGui.QApplication.UnicodeUTF8))
        self.actionFlip_Horizontal.setText(QtGui.QApplication.translate("LoadImageMainWindow", "Flip Horizontal", None, QtGui.QApplication.UnicodeUTF8))
        self.actionFlip_Horizontal.setToolTip(QtGui.QApplication.translate("LoadImageMainWindow", "Flip Horizontal", None, QtGui.QApplication.UnicodeUTF8))
        self.actionFlip_Vertical.setText(QtGui.QApplication.translate("LoadImageMainWindow", "Flip Vertical", None, QtGui.QApplication.UnicodeUTF8))
        self.actionFlip_Vertical.setToolTip(QtGui.QApplication.translate("LoadImageMainWindow", "Flip Vertical", None, QtGui.QApplication.UnicodeUTF8))
        self.actionShow_Original_Image.setText(QtGui.QApplication.translate("LoadImageMainWindow", "Show Original Image", None, QtGui.QApplication.UnicodeUTF8))
        self.actionShow_Original_Image.setToolTip(QtGui.QApplication.translate("LoadImageMainWindow", "Show Original Image", None, QtGui.QApplication.UnicodeUTF8))
        self.actionOpen_Image.setText(QtGui.QApplication.translate("LoadImageMainWindow", "Open Image", None, QtGui.QApplication.UnicodeUTF8))
        self.actionOpen_Image.setToolTip(QtGui.QApplication.translate("LoadImageMainWindow", "Open Image", None, QtGui.QApplication.UnicodeUTF8))

